summaryrefslogtreecommitdiff
path: root/run-tests.sh
diff options
context:
space:
mode:
authorCarl Hetherington <cth@carlh.net>2012-09-07 17:30:33 +0100
committerCarl Hetherington <cth@carlh.net>2012-09-07 17:30:33 +0100
commitfe6796a115cbd0e306b39e9d1b684ce1aaf7c9b5 (patch)
tree8a0de3492770837bf3a2531abc07953c5e3d5781 /run-tests.sh
parenta680f27bddf78d7dcbe52ddb4f8e3e9194d85fd5 (diff)
XML tests.
Diffstat (limited to 'run-tests.sh')
-rwxr-xr-xrun-tests.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/run-tests.sh b/run-tests.sh
index c75c8c2a..2fb89317 100755
--- a/run-tests.sh
+++ b/run-tests.sh
@@ -19,9 +19,11 @@ if [ "$?" != "0" ]; then
exit 1
fi
+rm -f build/test/info.log
+
if [ -e "../libdcp-test" ]; then
for d in `find ../libdcp-test -mindepth 1 -maxdepth 1 -type d`; do
- LD_LIBRARY_PATH=build/src:build/asdcplib/src build/tools/dcpinfo $d
+ LD_LIBRARY_PATH=build/src:build/asdcplib/src build/tools/dcpinfo $d >> build/test/info.log
if [ "$?" != "0" ]; then
echo "FAIL: dcpinfo failed"
exit 1
@@ -32,5 +34,10 @@ else
exit 1
fi
-echo "PASS"
+diff -q build/test/info.log test/ref/info.log
+if [ "$?" != "0" ]; then
+ echo "FAIL: dcpinfo output incorrect"
+ exit 1
+fi
+echo "PASS"